std::error_condition::error_condition(3)

NAME
std::error_condition::error_condition - std::error_condition::error_condition

Synopsis
   error_condition() noexcept; (1) (since C++11)
   error_condition( const error_condition& other ) noexcept; (2) (since C++11)
                        (implicitly declared)
   error_condition( int val, const error_category& cat ) (3) (since C++11)
   noexcept;
   template< class ErrorConditionEnum > (4) (since C++11)
   error_condition( ErrorConditionEnum e ) noexcept;
   Constructs new error condition.
   1) Default constructor. Initializes the error condition with generic category and
   error code 0.
   2) Copy constructor. Initializes the error condition with the contents of other.
   3) Initializes the error condition with error code val and error category cat.
   4) Initializes the error condition with enum e. Effectively calls
   make_error_condition found by argument-dependent lookup for e. This overload
   participates in overload resolution only if
   std::is_error_condition_enum<ErrorConditionEnum>::value is true.

Parameters
   other - another error condition to initialize with
   val - error code
   cat - error category
   e - error condition enum

Notes
   The ADL-found make_error_condition is intended to be used in the original proposal
   N2422, and used by all known implementations. However, the standard requires that
   only std::make_error_condition overloads are considered. This is LWG issue 3629.

See also
   make_error_condition(std::errc) constructs an std::errc error condition
   (C++11) (function)
   make_error_condition(std::io_errc) constructs an iostream error code
   (C++11) (function)
   make_error_condition(std::future_errc) constructs a future error_condition
   (C++11) (function)